Skip to main content
Resource Center/Network Service/Network Service Operations/NetFlow APIs

SetFlowMeterRouterId

SetFlowMeterRouterId

POST/zstack/v1/flowmeters/{vRouterUuid}/routerid

Operation ID

SetFlowMeterRouterId

Since

3.6.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vRouterUuid
    StringRequired

    The vRouter UUID.

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • routerId
      LongRequired

      The router ID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • routerId
    LongRequired

    The VPC vRouter flow monitoring ID.

  • error
    ErrorCodeRequired

    Error code, null if operation succeeds, non-null if operation fails, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.